CREATE OR REPLACE PROCEDURE ADD_CAT_CONSULTAS_PROCE (COD_CON IN VARCHAR2,TIPO_CON IN VARCHAR2) IS
BEGIN
    INSERT INTO CATALOGOCONSULTA (COD_CON,TIPO_CON)
    VALUES (COD_CON,TIPO_CON);
END;

CREATE SEQUENCE CAT_CONSULTAS_SEQUENCE
 START WITH     1
 INCREMENT BY   1
 NOCACHE
 NOCYCLE;

create or replace trigger CAT_CONSULTA_TRIGGER  
   before insert on "CLINICA"."CATALOGOCONSULTA" 
   for each row 
begin  
   if inserting then 
      if :NEW."ID_CAT_CON" is null then 
         select CAT_CONSULTAS_SEQUENCE.nextval into :NEW."ID_CAT_CON" from dual; 
      end if; 
   end if; 
end;

